INSERT INTO workflow_executions(workflow_execution_id, execution_timestamp)
VALUES ('WE1', now());

INSERT INTO scenario_executions(scenario_execution_id, workflow_execution_id, technology, phase, scenario_name)
VALUES ('SE1', 'WE1', 'Oracle', 'Analysis', 'Oracle DDL Dataflow Analysis');

INSERT INTO connections(connection_id, scenario_execution_id)
VALUES ('OracleTestDB', 'SE1');

SET @inserted_connection_db_id = SELECT TOP 1 conn_db_id FROM connections;

INSERT INTO error_definitions(error_category, error_type, user_message, technical_message, solution, impact, log_level)
VALUES ('TEST_CATEGORY', 'TEST_ERROR', 'Test user message.', 'Test technical message.', 'Test solution.', 'Test impact.', 'ERROR');

SET @inserted_error_definition_id = SELECT TOP 1 error_definition_id FROM error_definitions;

INSERT INTO error_metadata(error_definition_id, workflow_execution_id, scenario_execution_id, conn_db_id, application)
VALUES (@inserted_error_definition_id, 'WE1', 'SE1', @inserted_connection_db_id, 'Test Application');

INSERT INTO uploaded_packages(package_name, technology, phase, scenario_name, connection, application)
VALUES
('My Package 1','','','','','Manta CLI'),
('My Package 2','Oracle','Analysis','Oracle DDL Dataflow Analysis','OracleTestDB','')
;

INSERT INTO error_metadata(error_definition_id, package_name, application)
VALUES (@inserted_error_definition_id, 'My Package 1', 'Test Application');