package eu.profinit.manta.bachelor.thesis.log.viewer.broker.consumer;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.Log;

/**
 * Interface defining functionality of the log resolver.
 * @author jkovac
 */
public interface LogResolver {

    /**
     * Resolves log from a JSON message.
     * @param jsonLog Log in JSON format.
     * @return Log POJO representing the given log.
     * @throws UnableToResolveException Exception thrown when log cannot be resolved.
     */
    Log resolve(String jsonLog) throws UnableToResolveException;
}
