package eu.profinit.manta.bachelor.thesis.log.viewer.broker.messagehandling;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.DebugLog;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;

/**
 * Message handler that sends Handleable to the appropriate handler.
 * @author jkovac
 */
public interface MessageHandler {

    /**
     * Sends debug log to the Log handler.
     * @param debugLog given debug log
     */
    void handle(DebugLog debugLog);

    /**
     * Sends error log to the log handler.
     * @param errorLog given error log
     */
    void handle(ErrorLog errorLog);

}
