package eu.profinit.manta.bachelor.thesis.log.viewer.broker.messagehandling;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.DebugLog;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;
import eu.profinit.manta.bachelor.thesis.log.viewer.broker.messagehandling.handlers.LogHandler;

/**
 * Implementation of message handler
 * @author jkovac
 */
@Component
public class MessageHandlerImpl implements MessageHandler {

    /**
     * Log handler
     */
    private LogHandler logHandler;

    /**
     * Instantiates a new Message handler.
     *
     * @param logHandler the log handler
     */
    @Autowired
    public MessageHandlerImpl(LogHandler logHandler) {
        this.logHandler = logHandler;
    }

    @Override
    public void handle(DebugLog debugLog) {
        logHandler.handle(debugLog);
    }

    @Override
    public void handle(ErrorLog errorLog) {
        logHandler.handle(errorLog);
    }

}
