package eu.profinit.manta.bachelor.thesis.log.viewer.broker.messagehandling.handlers;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.DebugLog;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;

/**
 * Interface defining functionality of the log handler.
 * @author jkovac
 */
public interface LogHandler {

    /**
     * Method handling error log by persisting it to the database.
     * @param log Error log.
     */
    void handle(ErrorLog log);

    /**
     * Method handling debug log by persisting it to the database.
     * @param log Debug log.
     */
    void handle(DebugLog log);
}
