package eu.profinit.manta.bachelor.thesis.log.viewer.broker.messagehandling.handlers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.DebugLog;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.services.LogPersistenceService;

/**
 * Implementation of the log handler.
 * @author jkovac
 */
@Component
public class LogHandlerImpl implements LogHandler{

    /**
     * Service that persists the logs and performs other necessary actions tied to doing that
     */
    private LogPersistenceService logPersistenceService;

    /**
     * Ctr for log handler
     *
     * @param logPersistenceService Service that persists the logs and performs other necessary actions tied to doing that
     */
    @Autowired
    public LogHandlerImpl(LogPersistenceService logPersistenceService) {
        this.logPersistenceService = logPersistenceService;
    }

    @Override
    public void handle(ErrorLog log) {
        logPersistenceService.persistErrorLog(log);
    }

    @Override
    public void handle(DebugLog log){
        logPersistenceService.persistDebugLog(log);
    }
}
