package eu.profinit.manta.bachelor.thesis.log.viewer.controllers.dto;

import org.springframework.http.HttpStatus;

/**
 * Basic error response.
 * @author jkovac
 */
public class ErrorResponseDTO {

    /**
     * Http status
     */
    private HttpStatus status;

    /**
     * Error message
     */
    private String message;

    /**
     * Ctr
     * @param status http code
     * @param message error message
     */
    public ErrorResponseDTO(HttpStatus status, String message) {
        this.status = status;
        this.message = message;
    }

    /**
     * Returns http status of the error
     * @return http status
     */
    public HttpStatus getStatus() {
        return status;
    }

    /**
     * Returns error message
     * @return error message
     */
    public String getMessage() {
        return message;
    }
}
