package eu.profinit.manta.bachelor.thesis.log.viewer.errors;

import eu.profinit.manta.bachelor.thesis.log.viewer.errors.categories.ConsumerErrors;
import eu.profinit.manta.bachelor.thesis.log.viewer.errors.categories.RepositoryErrors;
import eu.profinit.manta.bachelor.thesis.log.viewer.errors.categories.ResolverErrors;

/**
 * Holder of categories
 * @author jkovac
 */
public class Categories {

    /**
     * Errors occurring during repository manipulation.
     * @return repository errors category.
     */
    public static RepositoryErrors repositoryErrors(){ return new RepositoryErrors(); }

    /**
     * Errors occurring during consuming messages from ActiveMQ Artemis queues.
     * @return consumer errors category
     */
    public static ConsumerErrors consumerErrors(){ return new ConsumerErrors(); }

    /**
     * Errors occurring during resolving incoming logs.
     * @return resolver errors category
     */
    public static ResolverErrors resolverErrors(){ return new ResolverErrors(); }
}
