package eu.profinit.manta.bachelor.thesis.log.viewer.errors;

import org.springframework.util.ErrorHandler;

import eu.profinit.manta.bachelor.thesis.logging.api.logging.Logger;

/**
 * Handler of the Spring JMS errors.
 * @author jkovac
 */
public class LogConsumerErrorHandler implements ErrorHandler {

    /**
     * Logger
     */
    private Logger logger = new Logger(getClass());

    /**
     * Handles error by logging it.
     * @param t thrown exception
     */
    @Override
    public void handleError(Throwable t) {
        logger.log(Categories.consumerErrors().unknownLoggingConsumerExceptionThrown().catching(t));
    }

}
