package eu.profinit.manta.bachelor.thesis.log.viewer.errors.categories;

import eu.profinit.manta.bachelor.thesis.logging.api.categorization.BaseCategory;
import eu.profinit.manta.bachelor.thesis.logging.api.categorization.Error;
import eu.profinit.manta.bachelor.thesis.logging.api.categorization.Severity;

/**
 * Errors that occur during consuming messages from ActiveMQ Artemis queues.
 * @author jkovac
 */
public class ConsumerErrors extends BaseCategory {

    /**
     * Errors thrown internally in Spring JMS
     * @return Builder for the error.
     */
    @Error(
            userMessage = "An unknown error occurred during consuming logs.",
            technicalMessage = "An unknown exception was thrown during consuming logs.",
            solution = "Report it.",
            severity = Severity.ERROR
    )
    public UnknownLoggingConsumerExceptionThrownBuilder unknownLoggingConsumerExceptionThrown(){ return new UnknownLoggingConsumerExceptionThrownBuilder(this); }

}
