package eu.profinit.manta.bachelor.thesis.log.viewer.errors.categories;

import eu.profinit.manta.bachelor.thesis.logging.api.categorization.BaseCategory;
import eu.profinit.manta.bachelor.thesis.logging.api.categorization.Error;
import eu.profinit.manta.bachelor.thesis.logging.api.categorization.Severity;

/**
 * Errors occurring during resolving logs.
 * @author jkovac
 */
public class ResolverErrors extends BaseCategory {

    /**
     * Error occurring when a log cannot be parsed from JSON format because it was invalid.
     * @return Builder for the error.
     */
    @Error(
            userMessage = "Sent log format was invalid.",
            technicalMessage = "Jackson object mapper was unable to resolve a log.",
            solution = "Report it.",
            severity = Severity.ERROR
    )
    public UnableToResolveLogBuilder unableToResolveLog(){ return new UnableToResolveLogBuilder(this); }

}
