package eu.profinit.manta.bachelor.thesis.log.viewer.model;

import org.apache.ibatis.annotations.Param;

/**
 * POJO representing a connection which was used during a scenario execution
 * @author jkovac
 */
public class Connection {

    /**
     * Database id of the connection
     */
    private Long connectionDbId;

    /**
     * ID (name) of the connection
     */
    private String connectionId;

    /**
     * Scenario execution id
     */
    private String scenarioExecutionId;

    /**
     * Name of the package
     */
    private String packageName;

    /**
     * Ctr for the connection
     * @param connectionDbId Database id of the connection
     * @param connectionId ID (name) of the connection
     * @param scenarioExecutionId Scenario execution id
     * @param packageName Name of the package
     */
    public Connection(@Param("connectionDbId") Long connectionDbId,
                      @Param("connectionId") String connectionId,
                      @Param("scenarioExecutionId") String scenarioExecutionId,
                      @Param("packageName") String packageName) {
        this.connectionDbId = connectionDbId;
        this.connectionId = connectionId;
        this.scenarioExecutionId = scenarioExecutionId;
        this.packageName = packageName;
    }

    /**
     * Gets connection db id.
     *
     * @return the connection db id
     */
    public Long getConnectionDbId() {
        return connectionDbId;
    }

    /**
     * Sets connection db id.
     *
     * @param connectionDbId the connection db id
     */
    public void setConnectionDbId(Long connectionDbId) {
        this.connectionDbId = connectionDbId;
    }

    /**
     * Gets connection id.
     *
     * @return the connection id
     */
    public String getConnectionId() {
        return connectionId;
    }

    /**
     * Gets scenario execution id.
     *
     * @return the scenario execution id
     */
    public String getScenarioExecutionId() {
        return scenarioExecutionId;
    }

    /**
     * Gets package name.
     *
     * @return the package name
     */
    public String getPackageName() {
        return packageName;
    }
}
