package eu.profinit.manta.bachelor.thesis.log.viewer.model;

import org.apache.ibatis.annotations.Param;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * POJO representing a distinct error type stored in the repository
 * @author jkovac
 */
public class DistinctErrorType {

    /**
     * Error category
     */
    private String errorCategory;

    /**
     * Error type
     */
    private String errorType;

    /**
     * Ctr for the distinct error type
     * @param errorCategory Error category
     * @param errorType Error type
     */
    @JsonCreator
    public DistinctErrorType(@JsonProperty("errorCategory") @Param("errorCategory") String errorCategory,
                             @JsonProperty("errorType") @Param("errorType") String errorType) {
        this.errorCategory = errorCategory;
        this.errorType = errorType;
    }

    /**
     * Gets error category.
     *
     * @return the error category
     */
    public String getErrorCategory() {
        return errorCategory;
    }

    /**
     * Gets error type.
     *
     * @return the error type
     */
    public String getErrorType() {
        return errorType;
    }
}
