package eu.profinit.manta.bachelor.thesis.log.viewer.model;

import org.apache.ibatis.annotations.Param;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * POJO representing one scenario execution
 * @author jkovac
 */
public class ScenarioExecution {

    /**
     * Execution ID of the scenario
     */
    private String scenarioExecutionId;

    /**
     * Workflow ID to which the scenario belongs
     */
    private String workflowExecutionId;

    /**
     * Technology parameter of the scenario
     */
    private String technology;

    /**
     * Phase to which the scenario belogns
     */
    private String phase;

    /**
     * Qualified name of the scenario
     */
    private String scenarioName;

    /**
     * Default constructor
     */
    public ScenarioExecution() {
    }

    /**
     * Ctr
     * @param scenarioExecutionId Execution ID of the scenario
     * @param workflowExecutionId Workflow ID to which the scenario belongs
     * @param technology Technology parameter of the scenario
     * @param phase phase of the scenario
     * @param scenarioName name of the scenario
     */
    @JsonCreator
    public ScenarioExecution(@JsonProperty("executionId") @Param("scenarioExecutionId") String scenarioExecutionId,
                             @JsonProperty("workflowExecutionId") @Param("workflowExecutionId") String workflowExecutionId,
                             @JsonProperty("technology") @Param("technology") String technology,
                             @JsonProperty("phase") @Param("phase") String phase,
                             @JsonProperty("scenarioName") @Param("scenarioName") String scenarioName) {
        this.scenarioExecutionId = scenarioExecutionId;
        this.workflowExecutionId = workflowExecutionId;
        this.technology = technology;
        this.phase = phase;
        this.scenarioName = scenarioName;
    }

    /**
     * @return Execution ID of the scenario
     */
    public String getScenarioExecutionId() {
        return scenarioExecutionId;
    }

    /**
     * @return Technology parameter of the scenario
     */
    public String getTechnology() {
        return technology;
    }

    /**
     * @return phase of the scenario
     */
    public String getPhase() {
        return phase;
    }

    /**
     * @return Workflow ID to which the scenario belongs
     */
    public String getWorkflowExecutionId() {
        return workflowExecutionId;
    }

    /**
     * @return name of the scenario
     */
    public String getScenarioName() {
        return scenarioName;
    }
}
