package eu.profinit.manta.bachelor.thesis.log.viewer.model.logs;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Wrapper class for the log time.
 * @author jkovac
 */
public class Instant {

    /**
     * Log time in epoch seconds
     */
    private long epochSecond;

    /**
     * Nano seconds
     */
    private long nanoOfSecond;

    /**
     * Default constructor
     */
    public Instant(){
    }

    /**
     * Wrapper class for the log time
     * @param epochSecond Log time in epoch seconds
     * @param nanoOfSecond Nano seconds
     */
    @JsonCreator
    public Instant(@JsonProperty("epochSecond") long epochSecond,
                   @JsonProperty("nanoOfSecond") long nanoOfSecond) {
        this.epochSecond = epochSecond;
        this.nanoOfSecond = nanoOfSecond;
    }

    /**
     * @return Log time in epoch seconds
     */
    public long getEpochSecond() {
        return epochSecond;
    }

    /**
     * @return Nano seconds
     */
    public long getNanoOfSecond() {
        return nanoOfSecond;
    }
}
