package eu.profinit.manta.bachelor.thesis.log.viewer.model.logs;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Class representing a logged exception
 * @author jkovac
 */
public class LoggedExceptionData {

    /**
     * Name of the exception
     */
    private String exceptionName;

    /**
     * Stacktrace
     */
    private String extendedStackTrace;

    /**
     * Default constructor
     */
    public LoggedExceptionData(){
        this.exceptionName = "";
        this.extendedStackTrace = "";
    }

    /**
     * Logged exception
     * @param exceptionName name of the exception
     * @param extendedStackTrace stacktrace
     */
    @JsonCreator
    public LoggedExceptionData(@JsonProperty("name") String exceptionName,
                               @JsonProperty("extendedStackTrace") String extendedStackTrace) {
        this.exceptionName = exceptionName;
        this.extendedStackTrace = extendedStackTrace;
    }

    /**
     * @return exception name
     */
    public String getExceptionName() {
        return exceptionName;
    }

    /**
     * @return stacktrace
     */
    public String getExtendedStackTrace() {
        return extendedStackTrace;
    }
}
