package eu.profinit.manta.bachelor.thesis.log.viewer.repository.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.context.annotation.PropertySource;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * Configuration of automated pruning functionality.
 * @author jkovac
 */
@Configuration
@PropertySource("/WEB-INF/classes/pruning.properties")
@ComponentScan(basePackages = "eu.profinit.manta.bachelor.thesis.log.viewer.repository")
@Import({DataSourceConfig.class})
@EnableTransactionManagement
@EnableScheduling
public class PruneConfig  {

    /**
     * @return Spring task scheduler
     */
    @Bean
    public ThreadPoolTaskScheduler threadPoolTaskScheduler(){
        return new ThreadPoolTaskScheduler();
    }

}
