package eu.profinit.manta.bachelor.thesis.log.viewer.repository.config;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;

/**
 * Configuration of the repository.
 * @author jkovac
 */
@Configuration
@MapperScan("eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper")
@EnableTransactionManagement
public class RepositoryConfig {

    /**
     * @return Jackson object mapper bean
     */
    @Bean
    public ObjectMapper objectMapper(){
        ObjectMapper objectMapper = new ObjectMapper();
        objectMapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        return objectMapper;
    }
}
