package eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao;

import java.util.List;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.UploadedPackage;

/**
 * DAO for the uploaded_packages table
 * @author jkovac
 */
public interface PackageDAO {
    /**
     * Prune uploaded logs
     * @param packageName name of the package which should be pruned
     * @return amount of deleted rows
     */
    Long delete(String packageName);

    /**
     * Get all uploaded packages
     * @return all uploaded packages
     */
    List<UploadedPackage> getAll();
}
