package eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.Connection;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.ConnectionsDAO;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper.ConnectionsMapper;

/**
 * Connection DAO implementation
 * @author jkovac
 */
@Repository
public class ConnectionsDAOImpl implements ConnectionsDAO {

    /**
     * MyBatis mapper for connection related queries
     */
    private ConnectionsMapper connectionsMapper;


    /**
     * Instantiates a new Connections dao.
     *
     * @param connectionsMapper the connections mapper
     */
    @Autowired
    public ConnectionsDAOImpl(ConnectionsMapper connectionsMapper) {
        this.connectionsMapper = connectionsMapper;
    }

    @Override
    public Connection find(Long connDbId) {
        return connectionsMapper.findConnection(connDbId);
    }

    @Override
    public Long getIdByData(Connection connection) {
        return connectionsMapper.getConnectionDbIdByData(connection);
    }

    @Override
    public List<Connection> getAll() {
        return connectionsMapper.getAll();
    }

    @Override
    public Long save(Connection connection) {
        return connectionsMapper.insertConnection(connection);
    }

    @Override
    public Long delete(Connection connection) {
        return connectionsMapper.deleteConnection(connection);
    }
}
