package eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.Connection;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.PackageMetadata;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.PackageCreateDAO;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper.PackageCreateMapper;

/**
 * Package Create DAO implementaiton
 * @author jkovac
 */
@Repository
public class PackageCreateDAOImpl implements PackageCreateDAO {

    /**
     * MyBatis mapper for package creation queries
     */
    private PackageCreateMapper packageCreateMapper;

    /**
     * Instantiates a new Package create dao.
     *
     * @param packageCreateMapper the package create mapper
     */
    @Autowired
    public PackageCreateDAOImpl(PackageCreateMapper packageCreateMapper) {
        this.packageCreateMapper = packageCreateMapper;
    }

    @Override
    public void createErrorDefinitionsDumpForConnection(Long connDbId, String path) {
        List<Long> errorIds = packageCreateMapper.getErrorIdsForConnection(connDbId);
        packageCreateMapper.createErrorDefinitionsDump(errorIds, path);
    }

    @Override
    public void createErrorDefinitionsDumpForApplication(String application, String path) {
        List<Long> errorIds = packageCreateMapper.getErrorIdsForApplication(application);
        packageCreateMapper.createErrorDefinitionsDump(errorIds, path);
    }

    @Override
    public void createLogDumpForConnection(Long connDbId, String path) {
        packageCreateMapper.createDumpForConnection(connDbId, path);
    }

    @Override
    public PackageMetadata getPackageMetadata(Connection connection) {
        return packageCreateMapper.getPackageMetadata(connection);
    }

    @Override
    public void createLogDumpForApplication(String application, String path) {
        packageCreateMapper.createDumpForApplication(application, path);
    }

}
