package eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.UploadedPackage;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.PackageDAO;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper.MetadataMapper;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper.PackageMapper;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper.PruneMapper;

/**
 * Package DAO implementaiton
 * @author jkovac
 */
@Repository
public class PackageDAOImpl implements PackageDAO {

    /**
     * MyBatis mapper
     */
    private PackageMapper packageMapper;

    /**
     * Instantiates a new Package dao.
     *
     * @param packageMapper the package mapper
     */
    @Autowired
    public PackageDAOImpl(PackageMapper packageMapper) {
        this.packageMapper = packageMapper;
    }

    @Override
    public Long delete(String packageName) {
        return packageMapper.pruneUploadedPackage(packageName);
    }

    @Override
    public List<UploadedPackage> getAll() {
        return packageMapper.getAllUploadedPackages();
    }

}
