package eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.WorkflowExecution;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.PruneCheckingDAO;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper.PruneMapper;

/**
 * Prune checking DAO implementaiton
 * @author jkovac
 */
@Repository
public class PruneCheckingDAOImpl implements PruneCheckingDAO {

    /**
     * MyBatis mapper for pruning queries
     */
    private PruneMapper pruneMapper;

    /**
     * Instantiates a new Prune checking dao.
     *
     * @param pruneMapper the prune mapper
     */
    @Autowired
    public PruneCheckingDAOImpl(PruneMapper pruneMapper) {
        this.pruneMapper = pruneMapper;
    }

    @Override
    public List<WorkflowExecution> getPotentiallyDeletedWorkflows(double pruneAfter) {
        return pruneMapper.getAmountOfPotentiallyDeletedWorkflows(pruneAfter);
    }

    @Override
    public Integer getAmountOfPotentiallyDeletedLogs(double pruneAfter) {
        return pruneMapper.getAmountOfPotentiallyDeletedLogs(pruneAfter);
    }
    @Override
    public Integer getAmountOfPotentiallyDeletedWorkflowLogs(double pruneAfter, List<WorkflowExecution> deletedWorkflowExecutions) {
        return pruneMapper.getAmountOfPotentiallyDeletedWorkflowLogs(pruneAfter, deletedWorkflowExecutions);
    }


}
