package eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.DistinctErrorType;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.filter.Filter;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.RepositoryMetadataDAO;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper.MetadataMapper;

/**
 * Repository metadata DAO implementation
 * @author jkovac
 */
@Repository
public class RepositoryMetadataDAOImpl implements RepositoryMetadataDAO {

    /**
     * MyBatis mapper for metadata queries
     */
    private MetadataMapper metadataMapper;

    /**
     * Instantiates a new Repository metadata dao.
     *
     * @param metadataMapper the metadata mapper
     */
    @Autowired
    public RepositoryMetadataDAOImpl(MetadataMapper metadataMapper) {
        this.metadataMapper = metadataMapper;
    }

    @Override
    public List<String> getDistinctApplications() {
        return metadataMapper.getDistinctApplications();
    }

    @Override
    public List<DistinctErrorType> getDistinctErrorTypes(Filter filter) {
        return metadataMapper.getDistinctErrorTypes(filter);
    }

    @Override
    public List<String> getDistinctCategories(Filter filter) {
        return metadataMapper.getDistinctCategories(filter);
    }

    @Override
    public List<String> getConnectionsForScenario(String scenarioExecutionId) {
        return metadataMapper.getConnectionsForScenario(scenarioExecutionId);
    }

}
