package eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper;

import java.util.List;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.Connection;

/**
 * MyBatis queries mapepr for connections table
 * @author jkovac
 */
public interface ConnectionsMapper {

    /**
     * Get all connections
     * @return all connections
     */
    List<Connection> getAll();

    /**
     * Get db id by data
     * @param connection passed connection
     * @return id
     */
    Long getConnectionDbIdByData(Connection connection);

    /**
     * Insert a new connection used in a scenario execution into a database
     * @param connection connection to be inserted
     * @return amount of inserted rows
     */
    Long insertConnection(Connection connection);

    /**
     * Delete a connection from the repository
     * @param connection connection to be deleted
     * @return amount of deleted rows
     */
    Long deleteConnection(Connection connection);

    /**
     * Retrieve a connection by its database ID
     * @param id database id
     * @return Connection that is stored under it
     */
    Connection findConnection(Long id);
}
