package eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.filter.Filter;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;

/**
 * MyBatis mapper for retrieving concrete error logs
 * @author jkovac
 */
public interface ErrorExpansionMapper {

    /**
     * Get concrete error logs fitting the passed filter settings
     * @param errorCategory category to which the error belongs
     * @param collapsedElement error type of the logs
     * @param application application which emitted the log
     * @param filter filter settings
     * @return logs fitting the criteria
     */
    List<ErrorLog> expandLogs(@Param("errorCategory") String errorCategory,
                              @Param("collapsedElement") String collapsedElement,
                              @Param("application") String application,
                              @Param("filter") Filter filter);
}
