package eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.DistinctErrorType;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.filter.Filter;

/**
 * MyBatis mapper for metadata queries
 * @author jkovac
 */
public interface MetadataMapper {

    /**
     * Queries all scenario executions for a given workflow execution
     * @param scenarioExecutionId scenario execution id
     * @return all scenario executions
     */
    List<String> getConnectionsForScenario(@Param("scenarioExecutionId") String scenarioExecutionId);

    /**
     * @return Distinct applications stored in the repository
     */
    List<String> getDistinctApplications();

    /**
     * Distinct categories stored in the repo
     * @param filter request filter
     * @return distinct categories
     */
    List<String> getDistinctCategories(@Param("filter") Filter filter);

    /**
     * Distinct error types fitting a passed filter
     * @param filter request filter
     * @return distinct error types
     */
    List<DistinctErrorType> getDistinctErrorTypes(@Param("filter")Filter filter);
}
