package eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.Connection;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.ErrorDefinition;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.PackageMetadata;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.ScenarioExecution;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.UploadedPackage;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.UploadedLog;

/**
 * MyBatis mapper for operations regarding log packages.
 * @author jkovac
 */
public interface PackageMapper {

    /**
     * Prune logs from an uploaded package.
     * @param packageName name of the uploaded package
     * @return number of rows deleted
     */
    Long pruneUploadedPackage(@Param("packageName") String packageName);

    /**
     * Retrieve all uploaded packages
     * @return all stored uploaded packages
     */
    List<UploadedPackage> getAllUploadedPackages();
}


