package eu.profinit.manta.bachelor.thesis.log.viewer.repository.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.WorkflowExecution;

/**
 * MyBatis mapper for workflow executions table queries
 * @author jkovac
 */
public interface WorkflowExecutionsMapper {

    /**
     * Deletes a workflow from workflow executions.
     * @param workflowExecution Workflow execution to be deleted
     * @return number of rows deleted
     */
    Long deleteWorkflow(WorkflowExecution workflowExecution);

    /**
     * Queries all workflow executions
     * @return all workflow executions
     */
    List<WorkflowExecution> getAllWorkflowExecutions();

    /**
     * Inserts a new workflow execution.
     * @param workflowExecution workflow execution to be inserted
     * @return number of rows inserted
     */
    Long insertWorkflowExecution(WorkflowExecution workflowExecution);

    /**
     * Queries a workflow execution by ID.
     * @param workflowExecutionId id of the queried execution
     * @return queried workflow execution
     */
    WorkflowExecution getWorkflowById(@Param("workflowExecutionId") String workflowExecutionId);

}
