package eu.profinit.manta.bachelor.thesis.log.viewer.repository.services;

import java.util.List;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.filter.Filter;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;

/**
 * Service providing concrete logs for a given collapsed element (error type)
 * @author jkovac
 */
public interface ExpandLogsService {

    /**
     * Get concrete logs for a given error type using attached filter settings
     * @param errorCategory name of the category to whith the log belongs
     * @param application name of the application that emitted the log
     * @param collapsedElement error type for which should concrete logs be provided
     * @param filter request filter settings
     * @return concrete logs fitting the criteria
     */
    List<ErrorLog> expandLogs(String errorCategory, String collapsedElement, String application, Filter filter);

}
