package eu.profinit.manta.bachelor.thesis.log.viewer.repository.services;

import java.util.List;

import eu.profinit.manta.bachelor.thesis.log.viewer.controllers.dto.ErrorDTO;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.ErrorMetadata;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.filter.Filter;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;

/**
 * Service handling full text search.
 * @author jkovac
 */
public interface FullTextSearchService {

    /**
     * Executes the full text search.
     * @param param Full text search parameters inputted by a user.
     * @param filter request settings
     * @return Error logs that fit the criteria
     */
    List<ErrorDTO> fullText(String param, Filter filter);
}
