package eu.profinit.manta.bachelor.thesis.log.viewer.repository.services;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.DebugLog;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;

/**
 * Service handling log manipulation.
 * @author jkovac
 */
public interface LogPersistenceService {

    /**
     * Persists a parsed error log.
     * @param errorLog error log to be persisted.
     */
    void persistErrorLog(ErrorLog errorLog);

    /**
     * Persists a parsed debug log.
     * @param debugLog debug log to be persisted.
     */
    void persistDebugLog(DebugLog debugLog);

}
