package eu.profinit.manta.bachelor.thesis.log.viewer.repository.services;

import java.util.List;

import eu.profinit.manta.bachelor.thesis.log.viewer.controllers.dto.ErrorDTO;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.DistinctErrorType;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.ErrorMetadata;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.filter.Filter;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.ScenarioExecution;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.UploadedPackage;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.WorkflowExecution;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.Log;

/**
 * Service providing log query functionality
 * @author jkovac
 */
public interface LogQueryService {

    /**
     * Query logs based on pass filter settings
     * @param filter filter settings
     * @return logs fitting the criteria
     */
    List<ErrorDTO> queryLogs(Filter filter);
}
