package eu.profinit.manta.bachelor.thesis.log.viewer.repository.services;

import eu.profinit.manta.bachelor.thesis.log.viewer.controllers.dto.SetExpiryCheckResponseDTO;

/**
 * Service handling all settings changes that a user can make and their consequences.
 * @author jkovac
 */
public interface UpdateSettingsService {

    /**
     * Updates log expiry time and accordingly reschedules prunings.
     * @param updatedPruningValue new log expiry value in days
     */
    void updatePruningDelayProperty(double updatedPruningValue);

    /**
     * Get the amount of logs that would be pruned if prune settings was changed to this value.
     * @param updatedPruningValue new possible setting
     * @return potentially deleted logs and workflow executions
     */
    SetExpiryCheckResponseDTO checkIfSomeLogsWillBePruned(double updatedPruningValue);
}
