package eu.profinit.manta.bachelor.thesis.log.viewer.repository.services.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import eu.profinit.manta.bachelor.thesis.log.viewer.model.filter.Filter;
import eu.profinit.manta.bachelor.thesis.log.viewer.model.logs.ErrorLog;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.dao.LogDAO;
import eu.profinit.manta.bachelor.thesis.log.viewer.repository.services.ExpandLogsService;

/**
 * Expand logs service implementation
 * @author jkovac
 */
@Service
public class ExpandLogsServiceImpl implements ExpandLogsService {

    /**
     * Log DAO
     */
    private LogDAO logDAO;

    /**
     * Instantiates a new Expand logs service.
     *
     * @param logDAO the log dao
     */
    @Autowired
    public ExpandLogsServiceImpl(LogDAO logDAO) {
        this.logDAO = logDAO;
    }

    @Override
    public List<ErrorLog> expandLogs(String errorCategory, String collapsedElement, String application, Filter filter) {
        return logDAO.expandLogs(errorCategory, collapsedElement, application, filter);
    }

}
