package eu.profinit.manta.bachelor.thesis.logging.api.categorization;

/**
 * Parent class for all concrete categories.
 * @author jkovac
 */
public abstract class BaseCategory {

    /**
     * Returns name of the category that should appear in logs. By default it is the name of the class,
     * but if another name is desired, override this method.
     *
     * @return Name of the category.
     */
    public String getCategoryName() {
        return getClass().getSimpleName();
    }

}
