package eu.profinit.manta.bachelor.thesis.logging.api.categorization;

/**
 * Error attribute describing the impact that an error may have on the final data lineage or an application run.
 * @author jkovac
 */
public enum Impact {
    /**
     * Default value, used for errors that shouldn't have an impact on lineage.
     */
    UNDEFINED,

    /**
     * The error affects the visualization of a single (or only its part) input.
     */
    SINGLE_INPUT,

    /**
     * The error affects the visualization of a script.
     */
    SCRIPT,

    /**
     * The error affects the whole scenario.
     */
    SCENARIO;
}
