package eu.profinit.manta.bachelor.thesis.logging.api.logging;

/**
 * Different levels of context.
 * @author jkovac
 */
public enum ContextLevel {

    /**
     * Workflow ID representing a series of scenarios.
     */
    WORKFLOW_ID,

    /**
     * Execution ID representing a single execution of a scenario.
     */
    EXECUTION_ID,

    /**
     * Level describing general name of the technology that a scenario works with, e.g. Oracle or MSSQL.
     */
    TECHNOLOGY,

    /**
     * Name of the input.
     */
    CONNECTION_ID,

    /**
     * Name of the scenario phase. Extraction, Analysis or Export.
     */
    PHASE,

    /**
     * Normalized name of a scenario, e.g. PostgreSQL DDL Dataflow.
     */
    SCENARIO,

    /**
     * Name of a context node. Generally name of a file.
     */
    CONTEXT
}
