package GenerationTests;

import org.junit.Test;

import eu.profinit.manta.bachelor.thesis.logging.api.utils.NameConverter;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotEquals;

public class NameConverterTest {

    @Test
    public void convertName_correctFormat_test(){
        String errorName = "noConnectionMapping";
        String normalizedName = NameConverter.normalizeName(errorName);

        assertEquals("NO_CONNECTION_MAPPING", normalizedName);
    }

    @Test
    public void convertName_incorrectFormat_test(){
        String errorName = "Noconnectionmapping";
        String normalizedName = NameConverter.normalizeName(errorName);

        assertNotEquals("NO_CONNECTION_MAPPING", normalizedName);
    }

    @Test
    public void convertName_correctFormat_numbers_test(){
        String errorName = "noConnection123Mapping";
        String normalizedName = NameConverter.normalizeName(errorName);

        assertEquals("NO_CONNECTION123_MAPPING", normalizedName);
    }

    @Test
    public void convertName_correctFormat_specialChars_test(){
        String errorName = "no_connection_mapping";
        String normalizedName = NameConverter.normalizeName(errorName);

        assertEquals("NO_CONNECTION_MAPPING", normalizedName);
    }

    @Test
    public void convertName_correctFormat_specialChars2_test(){
        String errorName = "noConnection*Mapping";
        String normalizedName = NameConverter.normalizeName(errorName);

        assertEquals("NO_CONNECTION*_MAPPING", normalizedName);
    }

    @Test
    public void convertName_correctFormat_category_test(){
        String errorName = "NetworkErrors";
        String normalizedName = NameConverter.normalizeName(errorName);

        assertEquals("NETWORK_ERRORS", normalizedName);
    }

}
