package MessageTests;

import Utils.TestUtils;
import eu.profinit.manta.bachelor.thesis.logging.api.logging.Logger;

import org.junit.Before;
import org.junit.Test;

import java.io.File;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

public class LowLevelMessageTests {

    private final String DEFAULT_MESSAGE = "Default message.";

    private final String TRACE_LEVEL = "TRACE";
    private final String INFO_LEVEL = "INFO";
    private final String DEBUG_LEVEL = "DEBUG";

    private final String LOG_FILE_PATH = "./target/test-classes/app.log";
    private final File logFile = new File(LOG_FILE_PATH);

    private final Logger logger = new Logger(LowLevelMessageTests.class);

    @Before
    public void before(){
        TestUtils.clearFile(logFile);
    }

    @Test
    public void testTrace(){
        logger.trace(DEFAULT_MESSAGE);
        assertTrue(TestUtils.fileContains(logFile, DEFAULT_MESSAGE) && TestUtils.fileContains(logFile, TRACE_LEVEL));
        TestUtils.clearFile(logFile);
    }

    @Test
    public void testDebug(){
        logger.debug(DEFAULT_MESSAGE);
        assertTrue(TestUtils.fileContains(logFile, DEFAULT_MESSAGE) && TestUtils.fileContains(logFile, DEBUG_LEVEL));
        TestUtils.clearFile(logFile);
    }

    @Test
    public void testInfo(){
        logger.info(DEFAULT_MESSAGE);
        assertTrue(TestUtils.fileContains(logFile, DEFAULT_MESSAGE) && TestUtils.fileContains(logFile, INFO_LEVEL));
        TestUtils.clearFile(logFile);
    }
}
