package eu.profinit.manta.bachelor.thesis.logging.proof.of.concept.Errors;

import eu.profinit.manta.bachelor.thesis.logging.proof.of.concept.Errors.categories.AuthorizationErrors;
import eu.profinit.manta.bachelor.thesis.logging.proof.of.concept.Errors.categories.HttpErrors;
import eu.profinit.manta.bachelor.thesis.logging.proof.of.concept.Errors.categories.IOErrors;
import eu.profinit.manta.bachelor.thesis.logging.proof.of.concept.Errors.categories.SystemErrors;

/**
 * Categories holder
 * @author jkovac
 */
public class Categories {

    /**
     * Errors holding errors regarding user authorization.
     * @return authorization errors category
     */
    public static AuthorizationErrors authorizationErrors(){
        return new AuthorizationErrors();
    }

    /**
     * Errors logged during operations associated with HTTP requests.
     * @return http errors category
     */
    public static HttpErrors httpErrors(){
        return new HttpErrors();
    }

    /**
     * Errors occurring during input/output operations.
     * @return IO errors category
     */
    public static IOErrors ioErrors(){
        return new IOErrors();
    }

    /**
     * Category holding errors that stem from issues in the JVM.
     * @return system errors category
     */
    public static SystemErrors systemErrors(){
        return new SystemErrors();
    }

}
