package eu.profinit.manta.bachelor.thesis.logging.proof.of.concept.Errors.categories;

import eu.profinit.manta.bachelor.thesis.logging.api.categorization.BaseCategory;
import eu.profinit.manta.bachelor.thesis.logging.api.categorization.Error;
import eu.profinit.manta.bachelor.thesis.logging.api.categorization.Severity;

/**
 * Errors logged during operations associated with HTTP requests.
 * @author jkovac
 */
public class HttpErrors extends BaseCategory {
    /**
     * Error logged due to a bad response from the server.
     * @return bad response builder
     */
    @Error(
            userMessage = "Received a bad response when accessing %{website}.",
            technicalMessage = "Received an response with an error status code %{code} when accessing %{website}. Response message: %{message}.",
            solution = "Please check your internet connection or that you inputted a valid URL.",
            severity = Severity.ERROR
    )
    public BadResponseBuilder badResponse(){
        return new BadResponseBuilder(this);
    }

}
